Subject: Re: bug#16928: 24.3.50; file _flymake not deleted on remote hosts

From: Michael Albinus <[email-masked]>
Date: Fri, 07 Mar 2014 15:19:22 +0100

Michael Albinus <[email-masked]> writes:

> Leo Liu <[email-masked]> writes:
>
>> I see. Maybe it is better for flymake to just call delete-file without
>> the file-exists-p check ignoring any error. I have found other cases
>> where _flymake files are left behind.
>
> You could try. But i'm not 100% sure that we don't run into a similar
> situation.

I've checked further, there are still problems. A fix seems to be more
complex than expected, it must wait until the trunk is reopened (I fear
I could damage Tramp so close to the release).

For the time being, I have added `tramp-test31-asynchronous-requests' to
Tramp's test cases. It will fail until the bug is fixed.

Best regards, Michael.